Functions
FLAG_Management
Peripheral Driver » LL Driver » CALENDAR » Functions

## Functions
__STATIC_INLINE uint32_t | ll_calendar_is_active_flag_alarm (void)
| Indicate if the CALENDAR alarm event flag is set or not. More...
__STATIC_INLINE uint32_t | ll_calendar_is_active_flag_wrap (void)
| Indicate if the CALENDAR wrap event flag is set or not. More...
__STATIC_INLINE uint32_t | ll_calendar_is_active_flag_tick (uint32_t tick_number)
| Indicate if the CALENDAR tick event flag is set or not. More...
__STATIC_INLINE void | ll_calendar_clear_flag_alarm (void)
| Clear calendar alarm interrupt flag. More...
__STATIC_INLINE void | ll_calendar_clear_flag_wrap (void)
| Clear calendar wrap interrupt flag. More...
__STATIC_INLINE void | ll_calendar_clear_flag_tick (uint32_t tick_number)
| Clear calendar tick interrupt flag. More...
__STATIC_INLINE void | ll_calendar_clear_it_event (void)
| Clear calendar interrupt event. More...

## Detailed Description

## Function Documentation

## ◆ ll_calendar_clear_flag_alarm()

__STATIC_INLINE void ll_calendar_clear_flag_alarm | ( | void |  | ) |

Clear calendar alarm interrupt flag.

Register|BitsName --------|-------- SLP_EVENT| CALENDAR_TIMER_ALARM

Return values

  None |

Definition at line 692 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_clear_flag_tick()

__STATIC_INLINE void ll_calendar_clear_flag_tick | ( | uint32_t | tick_number | ) |

Clear calendar tick interrupt flag.

Register|BitsName --------|-------- SLP_EVENT| CALENDAR_TIMER_WRAP

Parameters

  tick_number | This parameter can be a one of the following values: LL_CLDR_TIMER_TICK; LL_CLDR_TIMER_TICK.

Return values

  None |

Definition at line 723 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_clear_flag_wrap()

__STATIC_INLINE void ll_calendar_clear_flag_wrap | ( | void |  | ) |

Clear calendar wrap interrupt flag.

Register|BitsName --------|-------- CLDR_INT_STAT| CALENDAR_TICK

Return values

  None |

Definition at line 706 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_clear_it_event()

__STATIC_INLINE void ll_calendar_clear_it_event | ( | void |  | ) |

Clear calendar interrupt event.

Return values

  None |

Definition at line 734 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_is_active_flag_alarm()

__STATIC_INLINE uint32_t ll_calendar_is_active_flag_alarm | ( | void |  | ) |

Indicate if the CALENDAR alarm event flag is set or not.

Note
  This bit is set by hardware when the counter has reached alarm value. It can be cleared by writing 0 to this bit.

Register|BitsName --------|-------- SLP_EVENT | CALENDAR_TIMER_ALARM

Return values

  State | of bit (1 or 0).

Definition at line 642 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_is_active_flag_tick()

__STATIC_INLINE uint32_t ll_calendar_is_active_flag_tick | ( | uint32_t | tick_number | ) |

Indicate if the CALENDAR tick event flag is set or not.

Note
  This bit is set by hardware when the counter has reached to 0. It can be cleared by writing 1 to this bit.

Register|BitsName --------|-------- CLDR_INT_STAT | TICK_INT_STAT

Parameters

  tick_number | This parameter can be a one of the following values: LL_CLDR_TIMER_TICK LL_CLDR_TIMER_TICK

Return values

  State | of bit (1 or 0).

Definition at line 677 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_is_active_flag_wrap()

__STATIC_INLINE uint32_t ll_calendar_is_active_flag_wrap | ( | void |  | ) |

Indicate if the CALENDAR wrap event flag is set or not.

Note
  This bit is set by hardware when the counter has overflow. It can be cleared by writing 0 to this bit.

Register|BitsName --------|-------- SLP_EVENT | CALENDAR_TIMER_WRAP

Return values

  State | of bit (1 or 0).

Definition at line 658 of file gr55xx_ll_calendar.h.